Comment 44 for bug 1304754

Am 22.07.2014 18:05, schrieb Matt Bruzek:
> Is there any way to verify if a Debian package has been built with this
> gccgo fix?

sure, make sure to build-depend on gccgo-4.9 (>= 4.9.1).

> Procedure:
> I downloaded the 14.04 debian packages from:
> http://juju-ci.vapour.ws:8080/job/publish-revision/690/
> These packages were built on stilson-07 which has the PPA and the fixed version of gccgo.

I can't see this in the build logs.

> Then I ran apt-get upgrade/update
> sudo dpkg -i *1.20.2*
>
> juju bootstrap -v -e local –debug
> juju deploy local:trusty/ubuntu
> juju ssh ubuntu/0
>
> Segmentation fault on stilson-01:
> http://pastebin.ubuntu.com/7832678/
>
> According to line 372 the dmesg output:
> http://paste.ubuntu.com/7832700/
> This appears to be the same problem, the deb packages were not built with the fix.
>
> I am also able to reproduce this Segmentation fault on the CI machine stilson-06.
> http://pastebin.ubuntu.com/7836776/
>
> The CI build machine has the toolchain-r PPA and the fixed level of gccgo:
> http://pastebin.ubuntu.com/7836812/
>
> The dmesg output is attached.
>

according to the build log in
https://launchpad.net/~ubuntu-toolchain-r/+archive/ubuntu/ppa/+build/6192686

the package is built using gccgo-4.9 4.9.1-0ubuntu1.